Issue 48381 - Use PDF as a watermark form
Use PDF as a watermark form
Status: CONFIRMED
Product: Calc
Classification: Application
Component: open-import
OOo 1.0.0
All All
: P3 trivial with 1 vote (vote)
: ---
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-28 16:00 UTC by godofpain
Modified: 2013-08-07 15:12 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description godofpain 2005-04-28 16:00:36 UTC
I would like to see a feature added to swriter and scalc that would allow 
users to create documents and spreadsheets with a PDF files as a watermark 
background. I think this would be a killer-app feature and a lot of people 
would want to use it.   
   
Each year I have to fill out dozens of documents for a various companies and 
government agencies. All of these documents are available as PDF. What most 
people do is print them and then fill them out by hand. Then you take the 
paper and fax it back to the agency.  
  
If a PDF file could be used as a watermark background in a new document then 
people could fillout these forms electronicly and export to a new PDF and 
email the file back. Opening these electronic forms could work like a template 
file that has an ooBasic script to prompt people what text boxes need to be 
filled in.   
  
Why PDF? Almost all agencies that require forms to be filled out make them 
available as in PDF only. This feature would enable OpenOffice users to 
electronicly fill out the form but not require any changes to the original 
document. Very few agencies are willing to make the forms available in the 
original format and even fewer would be will to post the document as an 
OpenOffice file.  
  
I have been trying to so far is convert the PDF to a graphic and then use that 
as the watermark. That sucks because the quality is terrible. I cannot find 
any way to make OpenOffice open a PDF. If I could then a simple ooBasic script 
could do the trick.   
  
I think there is a lot of potential here to create big demand for applications 
created as OpenOffice documents like this. As just one example of how this 
could work; I am in Canada and all of our tax forms are PDF files that you can 
download and print. If OpenOffice had this feature then I could open scalc and 
have calculation cells that overlap the boxes on the forms where numbers have 
to be entered. I could enter all of the numbers and have the calculations done 
for me automaticly. A simple ooBasic script could prompt me with a few 
questions and my taxes would be done. I could then save this file and if I 
want I could print it to be sent in via postal service. The scripts and boxes 
that need to be used could be saved as a template so that next year when new 
tax forms come out I can do it again. Most of the time there would be little 
or no changes needed to the template from year to year.  
  
A lot of people in Canada want some form of tax software for Linux. This could 
be the best way to do that. Legal disclaimers aside for a moment the issue of 
maintaining a simple OpenOffice template to do this would be very simple work 
for the Linux community. OpenOffice could be the application of choice for 
doing your taxes.   
  
This is just one example of how this could be used. The possibilities are 
endless.
Comment 1 frank 2005-06-30 15:32:31 UTC
one for the requirements team
Comment 2 ace_dent 2008-05-16 00:54:31 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html